import React from 'react';
import { message, Modal } from 'antd';

const errStyle = {
  overflow: 'auto',
  wordWrap: 'break-word',
  width: '360px',
  height: '360px',
  marginLeft: '-24px',
  marginTop: '24px',
};

export function showError(err) {
  if (err) {
    let msg;
    if (err.data) {
      const data = err.data;
      msg = data ? data.message : err.message;
    } else {
      msg = err.message;
    }
    if (msg && msg.length < 256) {
      message.error(msg);
    } else {
      Modal.error({
        title: '服务器内部错误',
        content: <div style={errStyle}>{msg}</div>,
        width: 460,
      });
    }
  }
}

export function createError({ code, msg }) {
  const error = new Error(msg);
  error.data = {
    errorCode: code,
    message: msg,
  };
  return error;
}

export const errors = {
  unLogin: createError({
    code: 1,
    msg: '未登录',
  }),
};
