import _ from 'lodash';

export function getMenuItems(menus, keyPath) {
  if (!_.isArray(keyPath)) {
    throw new Error('keyPath must be array');
  }
  if (keyPath) {
    const [first, ...rest] = keyPath;
    const subMenus = _.find(menus, ['name', first]);
    if (subMenus) {
      if (rest) {
        return [subMenus, ...getMenuItems(subMenus.children, rest)];
      } else {
        return [subMenus];
      }
    }
  }
  return [];
}
